petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLayoutDestroy

Frees a map object and frees its range if that exists.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutDestroy(PetscLayout *map)

Collective on MPI_Comm

### Input Parameters

map -the PetscLayout

### Note

The PetscLayout object and methods are intended to be used in the PETSc Vec and Mat implementions; it is recommended they not be used in user codes unless you really gain something in their use.

### See Also

PetscLayoutSetLocalSize(), PetscLayoutSetSize(), PetscLayoutGetSize(), PetscLayoutGetLocalSize(), PetscLayout, PetscLayoutCreate(),
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetBlockSize(), PetscLayoutSetUp()

### Level

developer

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages